Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.0.4   

Resolution: Fixed Affected version:  

Description

The new interface for adding new members to a project is harder to use than the previous version because of the way it displays the

list of users and members.

Our system has more than 30 roles and many users. The list of users and roles gets placed into the boxes and the formatting is such

that the checkboxes are not aligned or grouped with anything and so it does not stay with its label.

e.g. you can have a checkbox on one line and the label for that checkbox will be on the line below that (or split up, etc.).

I propose that if you want to keep the current interface, at least separate or "block" the label + checkbox together so they are always

displayed together as a "unit".

Or revert back to a similar style as the last interface.

Associated revisions

Revision 14311 - 2015-06-14 09:41 - Jean-Philippe Lang

Align roles on new member form (#19844).

Revision 14312 - 2015-06-14 09:41 - Jean-Philippe Lang

Set new member form width to 90% (#19844).

Revision 14326 - 2015-06-17 20:11 - Jean-Philippe Lang

Merged r14311 and r14312 from trunk (#19844).

History

#1 - 2015-06-13 13:53 - Toshi MARUYAMA

Do you mean new interface is from 3.0.0 (r13600)?

#2 - 2015-06-13 14:01 - Jean-Philippe Lang

- Target version set to 3.0.4

I propose that if you want to keep the current interface, at least separate or "block" the label + checkbox together so they are always displayed

together as a "unit".

 Agreed

#3 - 2015-06-14 09:42 - Jean-Philippe Lang

- Tracker changed from Feature to Defect

- Subject changed from New Add New Members Input Interface is harder to use than previous version to Roles are not aligned on new member form

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

The alignment of role checkboxes is fixed in r14312.
https://www.redmine.org/versions/80
https://www.redmine.org/projects/redmine/repository/svn/revisions/13600
https://www.redmine.org/projects/redmine/repository/svn/revisions/14312


#4 - 2015-06-17 20:11 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Changes merged in 3.0-stable.

#5 - 2015-06-17 20:20 - James H

Awesome, thank you!
